Bug 1127091 - Review Request: perl-PerlIO-buffersize - Set the buffersize of a handle
Summary: Review Request: perl-PerlIO-buffersize - Set the buffersize of a handle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 06:53 UTC by Jan Holcapek
Modified: 2014-08-22 19:17 UTC (History)
2 users (show)

Fixed In Version: perl-PerlIO-buffersize-0.001-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:26:04 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Holcapek 2014-08-06 06:53:09 UTC
Spec URL: https://raw.githubusercontent.com/holcapek/perl-PerlIO-buffersize/master/perl-PerlIO-buffersize.spec
SRPM URL: https://github.com/holcapek/perl-PerlIO-buffersize/raw/master/perl-PerlIO-buffersize-0.001-1.fc22.src.rpm
Description: This module sets the buffer-size of a filehandle to an other value than the default. This can only be done before the handle is used, as once the buffer has been allocated it can not be changed.
Fedora Account System Username: holcapek

Comment 1 Jan Holcapek 2014-08-06 06:56:28 UTC
Additional note: the reason why there is a patch that avoids (build) dependency to PerlIO::Layers (dont-use-perlio-layers.patch) is quite simple: because this module were not used anywhere (well, it was use-d, but the imported method was not called).

Comment 2 Christopher Meng 2014-08-06 06:58:13 UTC
Are you going to package it for EL5?

Comment 3 Jan Holcapek 2014-08-06 07:15:03 UTC
(In reply to Christopher Meng from comment #2)
> Are you going to package it for EL5?

No (unless someone would be interested in having this package in EPEL 5).

Comment 4 Christopher Meng 2014-08-06 07:22:50 UTC
Fine.

Transient SPEC review:

1. Drop these:

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

rm -rf $RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%clean

%defattr(-,root,root,-)

dist.ini

META.json

2. Fix the invalid changelog:

* Tue Aug 05 2014 holcapek@hidd.en 0.001-1

Comment 5 Jan Holcapek 2014-08-06 07:39:10 UTC
(In reply to Christopher Meng from comment #4)
> Fine.
> 
> Transient SPEC review:
> 
> 1. Drop these:
> 
> BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u}
> -n)
> 
> rm -rf $RPM_BUILD_ROOT
> 
> find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
> 
> %clean
> 
> %defattr(-,root,root,-)
> 
> dist.ini
> 
> META.json
> 
> 2. Fix the invalid changelog:
> 
> * Tue Aug 05 2014 holcapek@hidd.en 0.001-1

Thanks. All's done.

Comment 6 Lubomir Rintel 2014-08-06 07:54:41 UTC
Taking for an official review.

Comment 7 Lubomir Rintel 2014-08-06 08:01:04 UTC
* Package named correctly
* Source file matches upstream
* Latest version used
* License tag okay
* License file included
* License fine for fedora
* SPEC file clean and legible
* Builds in mock
* Provides/Requires fine
* Filelist ok
* Proper compiler flags used

APPROVED

Comment 8 Lubomir Rintel 2014-08-06 08:01:46 UTC
You should consider upstreaming the patch, or adding a comment clarifying why isn't the patch upstream.

Comment 9 Jan Holcapek 2014-08-06 08:16:07 UTC
New Package SCM Request
=======================
Package Name: perl-PerlIO-buffersize
Short Description: Set the buffersize of a handle
Upstream URL: http://search.cpan.org/dist/PerlIO-buffersize/
Owners: holcapek
Branches: f19 f20 f21 el6 epel7
InitialCC: lkundrak

Comment 10 Gwyn Ciesla 2014-08-06 10:11:50 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-08-06 11:20:53 UTC
perl-PerlIO-buffersize-0.001-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-PerlIO-buffersize-0.001-1.fc20

Comment 12 Fedora Update System 2014-08-06 11:21:01 UTC
perl-PerlIO-buffersize-0.001-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-PerlIO-buffersize-0.001-1.fc19

Comment 13 Fedora Update System 2014-08-06 12:23:37 UTC
perl-PerlIO-buffersize-0.001-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-PerlIO-buffersize-0.001-1.el6

Comment 14 Fedora Update System 2014-08-07 11:45:14 UTC
perl-PerlIO-buffersize-0.001-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2014-08-16 00:26:04 UTC
perl-PerlIO-buffersize-0.001-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2014-08-16 00:33:26 UTC
perl-PerlIO-buffersize-0.001-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2014-08-22 19:17:20 UTC
perl-PerlIO-buffersize-0.001-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.